<h1>
 Quote Records
 <% if @selected_security %><em>on <%=@selected_security%></em><% end %>
</h1>

<%= render :partial=>'portrait/smart_links', locals: { :item_to_portrait=>@selected_security, :shown_is=>:quoterecords } %>

<% if @quote %>
    <%= render :partial=>'asset/quote_form', locals: { :quote=>@quote, :securities=>@securities, :selected_security=>@selected_security.id } %>
<% end %>

<%= form_tag({:action=>'index'}, :method=>:get, :id=>'controller_filter') do %>
    <p>
     <%= select_tag 'id_security', options_from_collection_for_select(@securities, :id, :to_s_with_symbol, @selected_security.id), prompt: '-- Select Security --' %>
     <%= button_tag 'show', :name=>'show', :value=>'this' %>
     <%= button_tag '<= previous', :name=>'show', :value=>'previous' %>
     <%= button_tag 'next =>', :name=>'show', :value=>'next' %>
    </p>
<% end %>

<% if not @intraday_quotes.empty? and @quoterecords.empty? or not (@quoterecords.empty? ? false : @quoterecords.first.Quote.time_last.between?(smr_browse_date.beginning_of_day, smr_browse_date.end_of_day))  %>
<h2>Observations
<em>intraday quotes in contrast to previous records</em></h2>
<table id='quoterecord_observations'>
  <% @intraday_quotes.each do |q| %>
    <tr>
        <td>
            <b><%=q.last%></b> at <%=q.time_last.strftime('%H:%M')%>
            <%if q.volume%>, <%= smr_humanize(q.volume, :shortword=>true) %> shares traded<%end%>
        </td>
        <td>
          <% # build new Quoterecord as suggestion
            msg, newqr = @quoterecords.inspect_quote(q)
            newqr.id_quote = q.id
            newqr.column = @quoterecords.get_last_recorded_column
          %>
          <% if not msg.empty? %>
            <span><%= msg %></span>
          <% end %>
          <%= render :partial=>'form', locals: { :quoterecord=>newqr, :skip_fieldset=>true } %>
        </td>
    </tr>
  <% end %>
</table>
<% end %>

<% unless @quoterecords.empty? %>
<h2>Previous Records</h2>

<% if @quoterecord %>
    <%= render :partial=>'form', locals: { :quoterecord=>@quoterecord } %>
<% end %>

<table id='quoterecords'>
    <thead>
        <tr><th colspan="7"><%= smr_paginate @page, @total_pages, quoterecords_path %></th></tr>
        <tr>
            <th/>
          <% Smr::Quoterecords.get_columns.each do |c| %>
            <th><%= Smr::Quoterecords.translate_column(c) %></th>
          <% end %>
        </tr>
        <tr>
            <td/>
          <% Smr::Quoterecords.get_columns.each do |c| %>
            <th><%= @quoterecords.get_pivot_point(c) %></th>
          <% end %>
        </tr>
    </thead>
    <tbody>
     <% @quoterecords.each do |qr| %>
        <tr>
            <td>
                <%=link_to '+', qr if qr.time_created > 90.days.ago %>
                <%=smr_humanize(qr.Quote.time_last)%>
                <% if not qr.comment.empty? %><span class="comment_text"><%=qr.comment%></span><% end %>
            </td>
          <% Smr::Quoterecords.get_columns.each do |c| %>
            <td class="<%= make_css_class(qr, c) %>">
                <%if qr.is_column?(c) %>
                    <%= qr.Quote.last %>
                    <%if qr.Quote.volume%><span><%=smr_humanize(qr.Quote.volume, :shortword=>true)%> shares traded</span><%end%>
                <%end%>
            </td>
          <% end %>
        </tr>
     <% end %>
    </tbody>
</table>
<% end %>

<h2>Sensitivity Settings</h2>
<%= form_for @sensitivity, :url=>{controller: :quoterecord_threshold, action: :create}, :method=>:POST do |f| %>
<fieldset id='quoterecord_sensitivity'>
  <legend>adjust when UP/DOWN or Pivot Point hits are triggered</legend>
    <%= hidden_field_tag :id, @sensitivity.id %>
    <%= f.hidden_field :id_security %>
    <%= f.number_field :quote_sensitivity, :step=>0.01, :min=>0.01 %> <%= f.label :quote_sensitivity, 'UP/DOWN hit sensitivity' %><br/>
    <%= f.number_field :hit_sensitivity, :step=>0.01, :min=>0.01 %> <%= f.label :hit_sensitivity, 'Pivot Point hit sensitivity' %><br/>
    <%= f.submit 'save' %>
</fieldset>
<% end %>

<br/>
